---
year: 2015
month: 2
day: 18
title: Web and Social Computing
description: "Lecturing masters students on Web and Social Computing"
layout: post
---

<p>This week I begin lecturing a module for <a href="http://cs.cf.ac.uk" target="_blank">Cardiff School of Computer Science and Informatics</a>' postgraduate MSc course in <a href="http://courses.cardiff.ac.uk/postgraduate/course/detail/p071.html" target="_blank">Advanced Computer Science</a>.</p>

<p>The module is called Web and Social Computing, with the main aim being to introduce students to the concepts of social computing and web-based systems. The course will include both theory and practical sessions in order to allow them to enhance their knowledge derived from literature with the practice of key concepts. We'll also have lots of guest lectures from experts in specific areas to help reinforce the importance of this domain.</p>

<p>As part of the module, I will encourage students to try and increase their web-presence and to interact with a wider community on the Internet. They'll do this by engaging more with social media and by maintaining a blog on things they've learned and researched.</p>

<p>Each week, the students will give a 5-minute <a href="http://en.wikipedia.org/wiki/Ignite_%28event%29" target="_blank">Ignite-format</a> talk on the research they've carried out. The quick presentation style will allow everyone in the group to convey what they feel are the most important and relevant parts in current research across many of the topics covered in the module.</p>

<p>We'll cover quite a diverse range of topics, starting from an introduction to networks and a coverage of mathematical graph theory. This will lead on to social networks, including using APIs to harvest data in useful ways. Over the last few weeks, we'll delve into subjects around socially-driven business models and peer-to-peer finance systems, such as BitCoin.</p>

<p>During the course, I hope that students will gain practical experience with various technologies, such as <a href="https://networkx.github.io" target="_blank">NetworkX</a> for modelling and visualising graphs in Python, <a href="http://www.cs.waikato.ac.nz/ml/weka" target="_blank">Weka</a> for some machine learning and classification, and good practices for building and using web APIs.</p>
